export interface ICliente {
  COD: number;
  NOM: string;
  DOM: string;
  CPO: string;
  LOC: string;
  PCI: string;
  CUIT: string;
  TEL: string;
  FPA: number;
  TIP: string;
  ZON: string;
  ACT: string;
  PDA: boolean;
  MCC: number;
  MCH: number;
  CTA: number;
  IDE: string;
  TLI: string;
  MOD: string;
  SUR: boolean;
  IVA: number;
  SIT: string;
  TCO: string;
  LOX: number;
  PCX: number;
  OBS: string;
  FUP: string;
  DIC: number;
  GRP: boolean;
  BLO: boolean;
  PLP: boolean;
  FRE: boolean;
  VEN: number;
  FEA: string;
  ICP: boolean;
  PER: boolean;
  RANT: boolean;
  D_EN: string;
  D_Y: string;
  REC: number;
  NHA: boolean;
  EMG: number;
  E_HD: string;
  C_HD: string;
  PDA_A: number;
  CAN_KIL: number;
  PER_MAY: boolean;
  ES_MAY: boolean;
  SEG_MAY: number;
  INC_MAY: number;
  ZON_MAY: number;
  PER_IVA_MAY: number;
  LPCC: boolean;
  EREPL: boolean;
  IMP_ABONO: number;
  ID_LEY: number;
  NRO_PER_MAY: string;
  JUR_MAY_PER: string;
  NARIB: string;
  DIC_1: number;
  REC_1: number;
  TASA_DIC: number;
  TASA_DIC_1: number;
  IMP_CANJE: boolean;
  USOINT: boolean;
  PERC: number;
  CTRL_LIT: boolean;
  CTRL_SEC: boolean;
  CLI_CON: number;
  ITC_SUR: boolean;
  PIDVEN: boolean;
  MAIL: string;
  HAB_NOTIF: boolean;
  TIPO_NOTIFICACION: boolean;
  VEH_CHF: boolean;
  ICIVAL: boolean;
  LEY_ABO1: string;
  LEY_ABO2: string;
  LEY_ABO3: string;
  LEY_ABO4: string;
  SALDO_ABONO: number;
  FACT_ABONO: number;
  FACT_AUTO: boolean;
  MES_VDO: boolean;
  FEC_CTRL: string;
  SEG_FID: number;
  MARCA_SALDO: boolean;
  CTRL_SEC_FPA: boolean;
  TIPO_RET: number;
  COD_EXT: string;
  RIESGO_FISCAL: boolean;
  POR_RED: number;
  DESTINO_VENTA: number;
  FT_ANT: boolean;
  FID_PART: boolean;
  PER_SL: number;
  EN_COBRO: number;
  BLO_CTA_PROPIA: boolean;
  TIENE_CERTIFICADO_IIBB: boolean;
  NOTIF_FT_RE: boolean;
  IMP_DET_VAL: boolean;
  EX_PER_HASTA: string;
  REVENDEDOR: boolean;
  CONVMULTILATERAL: boolean;
  PERCPORC?: any;
  MAIL_COBRANZA: string;
  MAIL_COMPRAS: string;
  MAIL_OTROS: string;
  IMP_OBS_CLI: boolean;
  PASSWEB: string;
  COD_REG_CANJ: number;
  CERTIF_JURIS: boolean;
  PER_IVARG17: number;
  PER_ATER: number;
  OpJurMis: boolean;
  TIPO_RES_60: number;
  FEB: string;
  idPreciosConcidiones: number;
  idprecioscondiciones: number;
  ES_PROS?: any;
  idCobrador: string;
  ECI: boolean;
  MUM: string;
  TipoClienteAbonado: number;
  EMAIL?: any;
  FNAC?: any;
  PAIS?: any;
  control_saldos_vencidos: boolean;
  Ignora_bloqueo_auto: boolean;
  iva: IIva;
  cuenta: ICuenta;
  tipoComprobante: ITipoComprobante;
  estadoCuenta: ICuenta;
}

export interface ICuenta {
  autorizado: number;
  extracciones: number;
  saldo: number;
  facturasvencidas: number;
}

export interface IIva {
  ID: number;
  NOMBRE: string;
  ABR: string;
  IFE: string;
  IFH: string;
  IFO: string;
  TIP: string;
  COI: number;
}

export interface ITipoComprobante {
  ID: string;
  NOMBRE: string;
  TIP: number;
  CLA: number;
  RES_SUM: number;
}
