import { Injectable } from '@angular/core';
import { APP_SETTINGS } from 'src/etc/AppSettings';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class PromocionService {
  urlDeboSuite = APP_SETTINGS.apiDeboSuite;

  constructor(
    private http: HttpClient,
  ) { }

  getPromocionByCodigos(sector, codigo) {
    return this.http.get(`${this.urlDeboSuite}/promociones/by-codigos/${sector}/${codigo}`);
  }

  getPromociones(sector, codigo) {
    return this.http.get(`${this.urlDeboSuite}/promociones/in-articulo/${sector}/${codigo}`);
  }

  getComponentes(sector, codigo) {
    return this.http.get(`${this.urlDeboSuite}/promociones/articulos/${sector}/${codigo}`);
  }
}
